org.apache.jmeter.rmi

## Class RmiUtils

- java.lang.Object
- - org.apache.jmeter.rmi.RmiUtils

-     public final class RmiUtils
      extends Object

  RMI Helper class
  Since:
    4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_LOCAL_PORT`
    `static int` | `DEFAULT_RMI_PORT`
    `static int` | `DEFAULT_RMI_REGISTRY_PORT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RMIClientSocketFactory` | `createClientSocketFactory()`
    `static RMIServerSocketFactory` | `createServerSocketFactory()`
    `static InetAddress` | `getRmiHost()`
    `static int` | `getRmiRegistryPort()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_RMI_REGISTRY_PORT

          public static final int DEFAULT_RMI_REGISTRY_PORT

    - #### DEFAULT_RMI_PORT

          public static final int DEFAULT_RMI_PORT

    - #### DEFAULT_LOCAL_PORT

          public static final int DEFAULT_LOCAL_PORT

  - ### Method Detail

    - #### createClientSocketFactory

          public static RMIClientSocketFactory createClientSocketFactory()

    - #### createServerSocketFactory

          public static RMIServerSocketFactory createServerSocketFactory()
                                                                  throws RemoteException

      Throws:
        `RemoteException`

    - #### getRmiHost

          public static InetAddress getRmiHost()
                                        throws RemoteException

      Returns:
        the configure address for usage by RMI
      Throws:
        `RemoteException` - when no valid address can be found

    - #### getRmiRegistryPort

          public static int getRmiRegistryPort()

      Returns:
        port of RMI Registry

Copyright © 1998-2021 Apache Software Foundation. All Rights Reserved.